Subject: [v6ops] Adam Roach's No Objection on draft-ietf-v6ops-transition-ipv4aas-12: (with COMMENT)

From: Adam Roach <[email-masked]>
Date: Wed, 09 Jan 2019 23:19:09 -0800

Adam Roach has entered the following ballot position for
draft-ietf-v6ops-transition-ipv4aas-12: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-transition-ipv4aas/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I share Ben and Mirja's question about the formal relationship between this
document and RFC 7084.

I also share Ben's confusion about the document's status as not being a BCP --
statements like the following are, by my understanding of the term, specifying
practices that are considered to be "best" at the present time:

* "The IPv6 Transition CE Router MUST implement a DNS proxy as
  described in [RFC5625] (DNS Proxy Implementation Guidelines)."

* "The IPv6 Transition CE Router MUST support the DHCPv6 S46
   priority options described in [RFC8026]."

* "The IPv6 Transition CE Router MUST have a GUI, CLI and/or
   API option to manually enable/disable each of the supported
   transition mechanisms."

If these (and similarly phrased) statements are not recommending best current
practices, then I don't understand the purpose of this document.

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Thu, 10 Jan 2019 12:24:24 +0100

Hi Adam,

I just replied to Ben comments, and I already did to Mirja, so don't think I can add anything else on that point.

I missed the BCP point on the response to Ben, so here is it.

My understanding is that BCP is a "current practices". Some of the considerations in the document are new. No new protocols (that's why is info), but new requirements to put "together" in a CE existing protocols and how to take advantage of "coordinating" them, so the operator can deploy IPv4aaS, or even change from dual-stack to IPv4aaS, or one IPv4aaS technology to another or have different customers with different IPv4aaS technologies, etc.

This means that, for clarity, we have text that may seem redundant if you already know all the details of each of the IPv4aaS technologies, but it makes very easy for an operator to have a single document to "follow the path" in a coherent way.

This is part of the scope of v6ops chapter, providing guidance for the deployment of and operation of new and existing IPv6 networks.

Let me know if this clarify your point on this.

Thanks!

Regards,
Jordi

-----Mensaje original-----
De: v6ops <[email-masked]> en nombre de Adam Roach <[email-masked]>
Fecha: jueves, 10 de enero de 2019, 8:19
Para: The IESG <[email-masked]>
CC: <[email-masked]>, <[email-masked]>, <[email-masked]>
Asunto: [v6ops] Adam Roach's No Objection on draft-ietf-v6ops-transition-ipv4aas-12: (with COMMENT)

    

    

    

    _______________________________________________
    v6ops mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/v6ops

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.